Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class PropertyFile.Entry

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.PropertyFile.Entry

Enclosing class:
  PropertyFile

public static class PropertyFile.Entry
extends java.lang.Object

Instance of this class represents nested elements of a task propertyfile.

Inner Class Summary
`static class` | `PropertyFile.Entry.Operation` Enumerated attribute with the values "+", "-", "=", "now" and "never".
`static class` | `PropertyFile.Entry.Type` Enumerated attribute with the values "int", "date" and "string".

Constructor Summary
`PropertyFile.Entry()`

Method Summary
`protected void` | `executeOn(java.util.Properties props)`
`void` | `setDefault(java.lang.String value)`
`void` | `setKey(java.lang.String value)`
`void` | `setOperation(PropertyFile.Entry.Operation value)`
`void` | `setPattern(java.lang.String value)`
`void` | `setType(PropertyFile.Entry.Type value)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyFile.Entry

    public PropertyFile.Entry()

Method Detail

### setKey

    public void setKey(java.lang.String value)

### setValue

    public void setValue(java.lang.String value)

### setOperation

    public void setOperation(PropertyFile.Entry.Operation value)

### setType

    public void setType(PropertyFile.Entry.Type value)

### setDefault

    public void setDefault(java.lang.String value)

### setPattern

    public void setPattern(java.lang.String value)

### executeOn

    protected void executeOn(java.util.Properties props)
                      throws BuildException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.